The hslua package

[Tags:library, mit, test]

The Scripting.Lua module is a wrapper of Lua language interpreter as described in

This package contains full Lua interpreter version 5.1.4. If you want to link it with system-wide Lua installation, use system-lua flag.


Versions 0.1, 0.2, 0.3, 0.3.2, 0.3.3, 0.3.4, 0.3.5, 0.3.6,, 0.3.7, 0.3.8, 0.3.9, 0.3.10, 0.3.11, 0.3.12, 0.3.13, 0.4.0, 0.4.1
Dependencies base (==4.*), mtl (>=2.1) [details]
License MIT
Copyright 2007-2012, Gracjan Polak
Author Gracjan Polak <>
Maintainer Ömer Sinan Ağacan <>
Stability beta
Category Scripting
Source repository head: git clone
Uploaded Tue Dec 31 11:18:36 UTC 2013 by OmerAgacan
Distributions Arch:0.4.1, Debian:0.4.1, Fedora:0.4.1, FreeBSD:0.4.0, LTSHaskell:0.4.1, NixOS:0.4.1, Stackage:0.4.1, Tumbleweed:0.4.1
Downloads 57976 total (58 in the last 30 days)
1 []
Status Docs available [build log]
Successful builds reported [all 1 reports]




system-luaUse the system-wide lua instead of the bundled copyDisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info


Maintainer's Corner

For package maintainers and hackage trustees